net.sourceforge.jnlp.event

## Class ApplicationEvent

- java.lang.Object
- - java.util.EventObject
  - - net.sourceforge.jnlp.event.ApplicationEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class ApplicationEvent
      extends java.util.EventObject

  This event is sent when an application is terminated.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApplicationEvent(ApplicationInstance source)` Creates a launch event for the specified application instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApplicationInstance` | `getApplication()`

    - ### Methods inherited from class java.util.EventObject

      `getSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApplicationEvent

          public ApplicationEvent(ApplicationInstance source)

      Creates a launch event for the specified application instance.
      Parameters:
        `source` - the application instance

  - ### Method Detail

    - #### getApplication

          public ApplicationInstance getApplication()

      Returns:
        the application instance.

Submit a bug or feature